## xmountains 2.5

=== Makefile ===
# Makefile generated by imake - do not edit!
# $TOG: imake.c /main/97 1997/06/20 20:23:51 kaleb $

# ----------------------------------------------------------------------
# Makefile generated from "Imake.tmpl" and <Imakefile>
# $TOG: Imake.tmpl /main/245 1997/05/20 10:05:47 kaleb $
#
#
#
#
# $XFree86: xc/config/cf/Imake.tmpl,v 3.32.2.5 1997/07/06 07:27:59 dawes Exp $
# ----------------------------------------------------------------------

all::

.SUFFIXES: .i

# $TOG: Imake.cf /main/28 1997/06/25 08:31:36 barstow $
# $XFree86: xc/config/cf/Imake.cf,v 3.34.2.3 1997/07/27 02:41:02 dawes Exp $

# -----------------------------------------------------------------------
# site-specific configuration parameters that need to come before
# the platform-specific parameters - edit site.def to change

# site:  $XConsortium: site.def /main/revisionist/4 1996/12/31 08:02:07 kaleb $
# site:  $XFree86: xc/config/cf/site.def,v 3.17.2.1 1997/06/22 10:32:21 dawes Exp $

# $XFree86: xc/config/cf/xf86site.def,v 3.101.2.11 1997/06/22 10:32:22 dawes Exp $

# ----------------------------------------------------------------------
# platform-specific configuration parameters - edit linux.cf to change

# platform:  $TOG: linux.cf /main/36 1997/06/16 22:21:03 kaleb $
# platform:  $XFree86: xc/config/cf/linux.cf,v 3.57.2.10 1997/07/28 14:17:25 dawes Exp $

# operating system:  Linux 2.1.64 i586 [ELF] (2.1.64)
# libc:	(6.4.0)
# binutils:	(28)

# $XConsortium: lnxLib.rules /main/13 1996/09/28 16:11:01 rws $
# $XFree86: xc/config/cf/lnxLib.rules,v 3.28.2.3 1997/06/22 10:32:20 dawes Exp $

# $XFree86: xc/config/cf/xfree86.cf,v 3.129.2.14 1997/07/06 07:28:00 dawes Exp $

# $XConsortium: xfree86.cf /main/34 1996/12/06 11:45:18 rws $

LINKKITDIR = $(USRLIBDIR)/Server
XF98LINKKITDIR = $(USRLIBDIR)/Server

       XF86SRC = $(SERVERSRC)/hw/xfree86
  XF86ACCELSRC = $(XF86SRC)/accel
    XF86COMSRC = $(XF86SRC)/common
 XF86CONFIGSRC = $(XF86COMSRC)
     XF86HWSRC = $(XF86SRC)/common_hw
     XF86OSSRC = $(XF86SRC)/os-support
  VGADRIVERSRC = $(XF86SRC)/vga256/drivers
VGA16DRIVERSRC = $(XF86SRC)/vga16/drivers
 VGA2DRIVERSRC = $(XF86SRC)/vga2/drivers
 MONODRIVERSRC = $(XF86SRC)/mono/drivers
   S3DRIVERSRC = $(XF86SRC)/accel/s3/drivers
  S3VDRIVERSRC = $(XF86SRC)/accel/s3_virge/drivers

       XF68SRC = $(SERVERSRC)/hw/xfree68
    XF68COMSRC = $(XF68SRC)/common
 XF68CONFIGSRC = $(XF68COMSRC)
     XF68OSSRC = $(XF68SRC)/os-support

           XF98SRC = $(SERVERSRC)/hw/xfree98
      XF98ACCELSRC = $(XF98SRC)/accel
        XF98COMSRC = $(XF98SRC)/common
     XF98CONFIGSRC = $(XF98COMSRC)
         XF98HWSRC = $(XF98SRC)/common_hw/generic
      XF98HWNECSRC = $(XF98SRC)/common_hw/nec
    XF98HWPWSKBSRC = $(XF98SRC)/common_hw/pwskb
     XF98HWPWLBSRC = $(XF98SRC)/common_hw/pwlb
    XF98HWGA968SRC = $(XF98SRC)/common_hw/ga968
         XF98OSSRC = $(XF98SRC)/os-support
  XF98VGADRIVERSRC = $(XF98SRC)/vga256/drivers
XF98VGA16DRIVERSRC = $(XF98SRC)/vga16/drivers
 XF98VGA2DRIVERSRC = $(XF98SRC)/vga2/drivers
 XF98MONODRIVERSRC = $(XF98SRC)/mono/drivers
XF98NECS3DRIVERSRC = $(XF98SRC)/accel/s3nec/drivers
XF98PWSKBDRIVERSRC = $(XF98SRC)/accel/s3pwskb/drivers
 XF98PWLBDRIVERSRC = $(XF98SRC)/accel/s3pwlb/drivers
XF98GA968DRIVERSRC = $(XF98SRC)/accel/s3ga968/drivers

        XFREE86DOCDIR = $(LIBDIR)/doc
      XFREE86PSDOCDIR = $(XFREE86DOCDIR)/PostScript
    XFREE86HTMLDOCDIR = $(XFREE86DOCDIR)/html
XFREE86JAPANESEDOCDIR = $(XFREE86DOCDIR)/Japanese

# $XConsortium: xf86.rules /main/9 1996/10/31 14:54:26 kaleb $
# $XFree86: xc/config/cf/xf86.rules,v 3.16.2.1 1997/05/18 12:00:01 dawes Exp $

# ----------------------------------------------------------------------
# site-specific configuration parameters that go after
# the platform-specific parameters - edit site.def to change

# site:  $XConsortium: site.def /main/revisionist/4 1996/12/31 08:02:07 kaleb $
# site:  $XFree86: xc/config/cf/site.def,v 3.17.2.1 1997/06/22 10:32:21 dawes Exp $

# ---------------------------------------------------------------------
# Imake rules for building libraries, programs, scripts, and data files
# rules:  $TOG: Imake.rules /main/222 1997/07/17 20:04:40 kaleb $
# rules:  $XFree86: xc/config/cf/Imake.rules,v 3.33.2.5 1997/07/19 04:59:07 dawes Exp $

 _NULLCMD_ = @ echo -n

TKLIBNAME = tk4.2

TKLIBDIR = /usr/lib

TCLLIBNAME = tcl7.6

TCLIBDIR = /usr/lib

          PATHSEP = /
            SHELL = /bin/sh

              TOP = .
      CURRENT_DIR = .

            IMAKE = imake
           DEPEND = gccmakedep
        MKDIRHIER = mkdir -p
    EXPORTLISTGEN =
        CONFIGSRC = $(TOP)/config
         IMAKESRC = $(CONFIGSRC)/imake
        DEPENDSRC = $(CONFIGSRC)/util

          INCROOT = /usr/X11R6/include
        USRLIBDIR = /usr/X11R6/lib
        VARLIBDIR = /var/lib
         SHLIBDIR = /usr/X11R6/lib
       LINTLIBDIR = $(USRLIBDIR)/lint
          MANPATH = /usr/X11R6/man
    MANSOURCEPATH = $(MANPATH)/man
           MANDIR = $(MANSOURCEPATH)1
        LIBMANDIR = $(MANSOURCEPATH)3
       FILEMANDIR = $(MANSOURCEPATH)5

               AR = ar clq
  BOOTSTRAPCFLAGS =
               CC = gcc
               AS = as

.SUFFIXES: .cc

              CXX = c++
          CXXFILT = c++filt
           CXXLIB =
    CXXDEBUGFLAGS = -O2 -fno-strength-reduce
CXXDEPENDINCLUDES =
 CXXEXTRA_DEFINES =
CXXEXTRA_INCLUDES =
   CXXSTD_DEFINES = -Dlinux -D__i386__ -D_POSIX_C_SOURCE=199309L -D_POSIX_SOURCE -D_BSD_SOURCE -D_SVID_SOURCE -D_REENTRANT $(CXXPROJECT_DEFINES)
       CXXOPTIONS =
      CXXINCLUDES = $(INCLUDES) $(TOP_INCLUDES) $(CXXEXTRA_INCLUDES)
       CXXDEFINES = $(CXXINCLUDES) $(CXXSTD_DEFINES) $(THREADS_CXXDEFINES) $(CXXEXTRA_DEFINES) $(DEFINES)
         CXXFLAGS = $(CXXDEBUGFLAGS) $(CXXOPTIONS) $(THREADS_CXXFLAGS) $(CXXDEFINES)

         COMPRESS = compress
          GZIPCMD = gzip
              CPP = /lib/cpp $(STD_CPP_DEFINES)
    PREPROCESSCMD = gcc -E $(STD_CPP_DEFINES)
          INSTALL = install
     INSTALLFLAGS = -c
               LD = ld
              LEX = flex -l
           LEXLIB = -lfl
             YACC = bison -y
           CCYACC = bison -y
             LINT = lint
      LINTLIBFLAG = -C
         LINTOPTS = -axz
               LN = ln -s
             MAKE = make
               MV = mv -f
               CP = cp

           RANLIB = ranlib
  RANLIBINSTFLAGS =

               RM = rm -f
        MANSUFFIX = 1x
     LIBMANSUFFIX = 3x
    FILEMANSUFFIX = 5x
            TROFF = psroff
            NROFF = nroff
         MSMACROS = -ms
        MANMACROS = -man
              TBL = tbl
              EQN = eqn
             NEQN = neqn
              COL = col

            DVIPS = dvips
            LATEX = latex

     STD_INCLUDES =
  STD_CPP_DEFINES = -traditional -Dlinux -D__i386__ -D_POSIX_C_SOURCE=199309L -D_POSIX_SOURCE -D_BSD_SOURCE -D_SVID_SOURCE -D_REENTRANT $(PROJECT_DEFINES)
      STD_DEFINES = -Dlinux -D__i386__ -D_POSIX_C_SOURCE=199309L -D_POSIX_SOURCE -D_BSD_SOURCE -D_SVID_SOURCE -D_REENTRANT $(PROJECT_DEFINES)
 EXTRA_LOAD_FLAGS =
  EXTRA_LDOPTIONS =
  EXTRA_LIBRARIES =
             TAGS = ctags

   PARALLELMFLAGS =

    SHAREDCODEDEF =
         SHLIBDEF =

     SHLIBLDFLAGS = -shared

         PICFLAGS = -fPIC

      CXXPICFLAGS = -fPIC

    PROTO_DEFINES = -DFUNCPROTO=15 -DNARROWPROTO

     INSTPGMFLAGS = -s

     INSTBINFLAGS = -m 0755
     INSTUIDFLAGS = -m 4711
     INSTLIBFLAGS = -m 0644
     INSTINCFLAGS = -m 0444
     INSTMANFLAGS = -m 0444
     INSTDATFLAGS = -m 0444
    INSTKMEMFLAGS = -m 4711

      PROJECTROOT = /usr/X11R6

      CDEBUGFLAGS = -O2 -fno-strength-reduce
        CCOPTIONS =

      ALLINCLUDES = $(INCLUDES) $(EXTRA_INCLUDES) $(TOP_INCLUDES) $(STD_INCLUDES)
       ALLDEFINES = $(ALLINCLUDES) $(STD_DEFINES) $(EXTRA_DEFINES) $(PROTO_DEFINES) $(THREADS_DEFINES) $(DEFINES)
           CFLAGS = $(CDEBUGFLAGS) $(CCOPTIONS) $(THREADS_CFLAGS) $(ALLDEFINES)
        LINTFLAGS = $(LINTOPTS) -DLINT $(ALLDEFINES) $(DEPEND_DEFINES)
         LDPRELIB = -L$(USRLIBDIR)
        LDPOSTLIB =
        LDOPTIONS = $(CDEBUGFLAGS) $(CCOPTIONS)  $(EXTRA_LDOPTIONS) $(THREADS_LDFLAGS) $(LOCAL_LDFLAGS) $(LDPRELIBS)
     CXXLDOPTIONS = $(CXXDEBUGFLAGS) $(CXXOPTIONS) $(EXTRA_LDOPTIONS) $(THREADS_CXXLDFLAGS) $(LOCAL_LDFLAGS) $(LDPRELIBS)

           LDLIBS = $(LDPOSTLIBS) $(THREADS_LIBS) $(SYS_LIBRARIES) $(EXTRA_LIBRARIES)

           CCLINK = $(CC)

          CXXLINK = $(CXX)

     LDSTRIPFLAGS = -x
   LDCOMBINEFLAGS = -r
      DEPENDFLAGS =

# Not sure this belongs here
         TKLIBDIR = /usr/lib
         TKINCDIR = /usr/include/tk
        TKLIBNAME = tk4.2
        TKLIBRARY = -L$(TKLIBDIR) -l$(TKLIBNAME)
        TCLLIBDIR = /usr/lib
        TCLINCDIR = /usr/include/tcl
       TCLLIBNAME = tcl7.6
       TCLLIBRARY = -L$(TCLLIBDIR) -l$(TCLLIBNAME)

        MACROFILE = linux.cf
           RM_CMD = $(RM)

    IMAKE_DEFINES =

         IRULESRC = $(CONFIGDIR)
        IMAKE_CMD = $(IMAKE) -DUseInstalled -I$(IRULESRC) $(IMAKE_DEFINES)

     ICONFIGFILES = $(IRULESRC)/Imake.tmpl $(IRULESRC)/X11.tmpl 			$(IRULESRC)/site.def $(IRULESRC)/$(MACROFILE) 			$(IRULESRC)/xfree86.cf $(IRULESRC)/xf86.rules $(IRULESRC)/xf86site.def $(IRULESRC)/host.def $(EXTRA_ICONFIGFILES)

# $TOG: X11.rules /main/4 1997/04/30 15:23:24 kaleb $

# ----------------------------------------------------------------------
# X Window System Build Parameters and Rules
# $TOG: X11.tmpl /main/292 1997/05/20 10:05:59 kaleb $
#
#
#
#
# $XFree86: xc/config/cf/X11.tmpl,v 1.8.2.3 1997/05/21 15:02:13 dawes Exp $

# -----------------------------------------------------------------------
# X Window System make variables; these need to be coordinated with rules

             XTOP = $(TOP)
           BINDIR = /usr/X11R6/bin
     BUILDINCROOT = $(TOP)/exports
      BUILDINCDIR = $(BUILDINCROOT)/include
      BUILDINCTOP = ../..
      BUILDLIBDIR = $(TOP)/exports/lib
      BUILDLIBTOP = ../..
      BUILDBINDIR = $(TOP)/exports/bin
      BUILDBINTOP = ../..
    XBUILDINCROOT = $(XTOP)/exports
     XBUILDINCDIR = $(XBUILDINCROOT)/include/X11
     XBUILDINCTOP = ../../..
     XBUILDBINDIR = $(XBUILDINCROOT)/bin
           INCDIR = $(INCROOT)
           ADMDIR = /usr/adm
           LIBDIR = $(USRLIBDIR)/X11
   TOP_X_INCLUDES = -I$(XPROJECTROOT)/include

          FONTDIR = $(LIBDIR)/fonts
         XINITDIR = $(LIBDIR)/xinit
           XDMDIR = $(LIBDIR)/xdm
        XDMVARDIR = $(VARLIBDIR)/xdm
           TWMDIR = $(LIBDIR)/twm
           XSMDIR = $(LIBDIR)/xsm
           NLSDIR = $(LIBDIR)/nls
       XLOCALEDIR = $(LIBDIR)/locale
        PEXAPIDIR = $(LIBDIR)/PEX
      LBXPROXYDIR = $(LIBDIR)/lbxproxy
  PROXYMANAGERDIR = $(LIBDIR)/proxymngr
        XPRINTDIR = $(LIBDIR)
      XAPPLOADDIR = $(LIBDIR)/app-defaults
       FONTCFLAGS = -t

     INSTAPPFLAGS = $(INSTDATFLAGS)

              RGB = rgb
            FONTC = bdftopcf
        MKFONTDIR = mkfontdir

       DOCUTILSRC = $(XTOP)/doc/util
        CLIENTSRC = $(TOP)/clients
          DEMOSRC = $(TOP)/demos
       XDOCMACROS = $(DOCUTILSRC)/macros.t
       XIDXMACROS = $(DOCUTILSRC)/indexmacros.t
       PROGRAMSRC = $(TOP)/programs
           LIBSRC = $(XTOP)/lib
          FONTSRC = $(XTOP)/fonts
       INCLUDESRC = $(BUILDINCROOT)/include
      XINCLUDESRC = $(INCLUDESRC)/X11
        SERVERSRC = $(XTOP)/programs/Xserver
       CONTRIBSRC = $(XTOP)/../contrib
   UNSUPPORTEDSRC = $(XTOP)/unsupported
           DOCSRC = $(XTOP)/doc
           RGBSRC = $(XTOP)/programs/rgb
      BDFTOPCFSRC = $(PROGRAMSRC)/bdftopcf
     MKFONTDIRSRC = $(PROGRAMSRC)/mkfontdir
    FONTSERVERSRC = $(PROGRAMSRC)/xfs
       FONTINCSRC = $(XTOP)/include/fonts
        EXTINCSRC = $(XTOP)/include/extensions
     TRANSCOMMSRC = $(LIBSRC)/xtrans
   TRANS_INCLUDES = -I$(TRANSCOMMSRC)

       XENVLIBDIR = $(USRLIBDIR)
   CLIENTENVSETUP = LD_LIBRARY_PATH=$(XENVLIBDIR)

# $XConsortium: lnxLib.tmpl,v 1.5 95/01/11 21:44:44 kaleb Exp $
# $XFree86: xc/config/cf/lnxLib.tmpl,v 3.9 1996/02/24 04:32:52 dawes Exp $

          XLIBSRC = $(LIBSRC)/X11

SOXLIBREV = 6.1
DEPXONLYLIB =
XONLYLIB =  -lX11

## xmountains 2.8

=== debian/changelog ===
xmountains (2.8-2) unstable; urgency=low

  * debian/control:
    + Updated Standards-Version to 3.8.4 (no changes needed)
    + Bumped debhelper dependency to 7
  * debian/source/format:
    + Added for source format 3.0 (quilt)

 -- Kartik Mistry <kartik@debian.org>  Thu, 27 May 2010 17:19:25 +0530

xmountains (2.8-1) unstable; urgency=low

  * New upstream release:
    + All debian/patches merged with upstream
  * debian/control:
    + Updated Standards-Version to 3.8.3

 -- Kartik Mistry <kartik@debian.org>  Fri, 28 Aug 2009 23:44:59 +0530

xmountains (2.7-9) unstable; urgency=low

  * debian/control:
    + Updated Standards-Version to 3.8.1
    + Not using bollin repo now, Removed VCS fields and Torsten Werner
      as uploader
    + Updated my maintainer email address
  * debian/patches/02_spelling_fix.dpatch:
    + [Lintian] Added patch to fix spelling error, sent to upstream
  * debian/copyright:
    + Updated to use correct copyright symbol ©

 -- Kartik Mistry <kartik@debian.org>  Mon, 25 May 2009 10:55:58 +0530

xmountains (2.7-8) unstable; urgency=low

  * Change Build-Depends: xutils-dev. (Closes: #485719)

 -- Torsten Werner <twerner@debian.org>  Wed, 11 Jun 2008 19:35:06 +0200

xmountains (2.7-7) unstable; urgency=low

  [Kartik Mistry]
  * debian/control:
    + Updated Standards-Version to 3.7.3
    + Updated VCS headers
  * debian/install:
    + xmountains will now install in /usr/games
  * debian/menu:
    + Updated xmountains binary file location

 -- Kartik Mistry <kartik.mistry@gmail.com>  Fri, 28 Dec 2007 12:42:14 +0530

xmountains (2.7-6) unstable; urgency=low

  [Kartik Mistry]
  * debian/copyright:
    + Updated upstream author email address
    + Moved copyright out of license section
  * Added debian/watch file
  * debian/control:
    + Moved Homepage to control field

 -- Kartik Mistry <kartik.mistry@gmail.com>  Tue, 27 Nov 2007 14:01:46 +0530

xmountains (2.7-5) unstable; urgency=low

  [Kartik Mistry]
  * Added dpatch support
  * Fixed goofup in previous upload which didn't include previous upstream
    changes, patches now in dpatch format
  * This bug is already fixed, but it was there in 2.7-4 (Closes: #427847)

 -- Kartik Mistry <kartik.mistry@gmail.com>  Thu, 07 Jun 2007 15:03:46 +0530

xmountains (2.7-4) unstable; urgency=low

  [ Kartik Mistry ]
  * New maintainer (Closes: #427396)
  * Fixed build-dependency on xlibs-data (Closes: #419017)
  * Updated to Standards-Version 3.7.2
  * Updated debhelper compability to 5
  * debian/copyright: updated according to standard copyright file, removed
    copyright.header file
  * debian/rules: removed copyright creation from copyright.header
  * debian/control: minor changes in descriptions, added ${misc:Depends}
  * debian/menu: fixed according to standard menu format
  * debian/changelog: removed useless lines from end

  [ Torsten Werner ]
  * Add myself to Uploaders.
  * Add XS-Vcs-* headers.
  * Add homepage to description.

 -- Torsten Werner <twerner@debian.org>  Wed,  6 Jun 2007 19:29:34 +0200

xmountains (2.7-3.1) unstable; urgency=low

  * Non-maintainer upload to do xlibs-dev transition.
  * debian/control: Replaced build-depends on xlibs-dev. (Closes: #346772)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Thu, 19 Jan 2006 16:45:24 +0100

xmountains (2.7-3) unstable; urgency=low

  * Add the French translation of the man page. 
  * First release with new maintener. Closes: #307364

 -- Eric Madesclair <eric-m@wanadoo.fr>  Fri,  6 May 2005 13:02:01 +0200

xmountains (2.7-2) unstable; urgency=low

  * fixed lintian errors: binary goes to /usr/bin and menu entries need
  quoting (Thanks to Sergio Talens Oliag)

 -- Miguel Gea Milvaques (Xerako) <correo@miguelgea.com>  Mon, 13 Sep 2004 01:02:01 +0200

xmountains (2.7-1) unstable; urgency=low

  * new upstream version

 -- Miguel Gea Milvaques (Xerako) <correo@miguelgea.com>  Thu,  9 Sep 2004 23:54:21 +0200

xmountains (2.6-9) unstable; urgency=low

  * added #includes and prototypes and various -Wall cleanup, closes: #226692

 -- Torsten Werner <twerner@debian.org>  Thu,  8 Jan 2004 17:03:33 +0000

xmountains (2.6-8) unstable; urgency=low

  * delete Makefile during 'make clean'
  * converted to cdbs

 -- Torsten Werner <twerner@debian.org>  Fri,  2 Jan 2004 21:21:45 +0000

xmountains (2.6-7) unstable; urgency=low

  * adopted package, closes: #202349
  * copied vroot.h from xscreensaver package, closes: #217686

 -- Torsten Werner <twerner@debian.org>  Thu,  1 Jan 2004 17:29:39 +0100

xmountains (2.6-6) unstable; urgency=low

  * orphaned; set maintainer to packages@qa.debian.org 

 -- tony mancill <tmancill@debian.org>  Mon, 21 Jul 2003 15:53:12 -0700

xmountains (2.6-5) unstable; urgency=low

  * updated build-depends for sid (closes: #170193)

 -- tony mancill <tmancill@debian.org>  Sat, 23 Nov 2002 14:10:51 -0800

xmountains (2.6-4) unstable; urgency=low

  * a tweak in X_graphics.c for "-w -r 0" by Mark Thomas
  * cosmetic manpage change

 -- tony mancill <tmancill@debian.org>  Thu, 21 Feb 2002 21:18:02 -0800

xmountains (2.6-3) unstable; urgency=low

  * recompiled 2.6 to use VROOT (closes: #134807)

 -- tony mancill <tmancill@debian.org>  Tue, 19 Feb 2002 23:46:44 -0800

xmountains (2.6-2) unstable; urgency=low

  * patches for double-buffering (-w) (in response to #132560)
    (thanks to Mark Thomas: http://www.mindspring.com/~mt31415/)

 -- tony mancill <tmancill@debian.org>  Mon, 18 Feb 2002 09:15:11 -0800

xmountains (2.6-1) unstable; urgency=low

  * new upstream version

 -- tony mancill <tmancill@debian.org>  Sat, 16 Feb 2002 11:13:47 -0800

xmountains (2.5-10) unstable; urgency=low

  * compiled against xfree 4.x libraries for woody release
  * modified menu entry to contain explicit path to xmountains

 -- tony mancill <tmancill@debian.org>  Wed,  5 Dec 2001 20:03:15 -0800

xmountains (2.5-9) unstable; urgency=low

  * new maintainer <tmancill@debian.org> (Closes: bug#69654)



=== debian/control ===
Source: xmountains
Section: games
Priority: optional
Build-Depends: cdbs, debhelper (>= 7.0.50~), libx11-dev, xbitmaps, xutils-dev
Maintainer: Kartik Mistry <kartik@debian.org>
Standards-Version: 3.8.4
Homepage: http://www2.epcc.ed.ac.uk/~spb/xmountains/

Package: xmountains
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Fractal landscape generator for X
 Generates random fractal mountains and displays them in a window (even in the
 X root window).
 .
 While the program is running the fractal is continuously extended on the right
 and the image is scrolled from right to left to expose the newly generated
 area.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

clean::
	-$(RM) Makefile

pre-build::
	xmkmf -a

## xmountains 2.9

=== debian/changelog ===
xmountains (2.9-3) unstable; urgency=low

  * debian/control:
    + Updated Standards-Version to 3.9.4
    + Added VCS-* URLs.
  * debian/copyright:
    + Moved to copyright-format 1.0
  * Added hardening support.

 -- Kartik Mistry <kartik@debian.org>  Tue, 15 Oct 2013 08:41:19 +0530

xmountains (2.9-2) unstable; urgency=low

  * Upload to unstable

 -- Kartik Mistry <kartik@debian.org>  Sat, 12 Feb 2011 14:13:01 +0530

xmountains (2.9-1) experimental; urgency=low

  * New upstream release
  * debian/control:
    + Updated Standards-Version to 3.9.1 (no changes needed)

 -- Kartik Mistry <kartik@debian.org>  Mon, 20 Dec 2010 14:15:36 +0530

=== debian/control ===
Source: xmountains
Section: games
Priority: optional
Build-Depends: cdbs,
               debhelper (>= 7.0.50~),
               hardening-wrapper,
               libx11-dev,
               xbitmaps,
               xutils-dev
Maintainer: Kartik Mistry <kartik@debian.org>
Standards-Version: 3.9.4
Homepage: http://www2.epcc.ed.ac.uk/~spb/xmountains/
Vcs-Git: git://anonscm.debian.org/collab-maint/xmountains.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/xmountains.git;a=summary

Package: xmountains
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Fractal landscape generator for X
 Generates random fractal mountains and displays them in a window (even in the
 X root window).
 .
 While the program is running the fractal is continuously extended on the right
 and the image is scrolled from right to left to expose the newly generated
 area.

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/makefile.mk
+
+export DEB_BUILD_HARDENING=1
 
 clean::
 	-$(RM) Makefile

=== debian/watch ===
version=3
http://www2.epcc.ed.ac.uk/~spb/xmountains/xmountains_(.*)\.tar\.gz

## xmountains 2.10

=== debian/changelog ===
xmountains (2.10-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on dpkg-dev.

  [ Kartik Mistry ]
  * debian/control:
    + Updated Standards-Version to 4.6.0
    + Wrap-up long description.
  * Added patch to add missing CFLAGS/LDFLAGS.

 -- Kartik Mistry <kartik@debian.org>  Sat, 05 Mar 2022 18:00:08 +0530

xmountains (2.10-1) unstable; urgency=low

  * New upstream release:
    + Dropped gcc10 FTBFS patch, merged upstream.
  * Fixed debian/watch file.
  * Removed debian/*.man, merged upstream.
  * Removed debian/menu file.
  * debian/control:
    + Updated Standards-Version to 4.5.1

 -- Kartik Mistry <kartik@debian.org>  Tue, 26 Jan 2021 18:11:08 +0530

xmountains (2.9-7) unstable; urgency=low

  * Added debian/gitlab-ci.yml.
  * debian/control:
    + Switched to debhelper-compat.
    + Updated Standards-Version to 4.5.0
    + Added 'Rules-Requires-Root' field.
  * Added debian/upstream/metadata file.
  * Added patch to fix FTBFS with gcc10 from upstream (Closes: #957988)

 -- Kartik Mistry <kartik@debian.org>  Fri, 24 Jul 2020 10:25:20 +0530

xmountains (2.9-6) unstable; urgency=low

  * debian/control:
    + Fixed Vcs-Git URL.
    + Updated Homepage.
    + Updated Standards-Version to 4.2.1

 -- Kartik Mistry <kartik@debian.org>  Thu, 29 Nov 2018 08:36:30 +0530

xmountains (2.9-5) unstable; urgency=low

  * debian/rules:
    + Use dh.
  * debian/control:
    + Build-Dep: Removed cdbs, updated debhelper >= 11.
    + Updated Standards-Version to 4.1.3.
    + Updated Vcs-* URLs.
  * Set debian/compat to 11.
  * debian/copyright:
    + Updated upstream URL.
    + Use https.
  * Added desktop file (Closes: #738071)

 -- Kartik Mistry <kartik@debian.org>  Tue, 23 Jan 2018 15:12:59 +0530

xmountains (2.9-4) unstable; urgency=low

  * debian/control:
    + Updated Standards-Version to 3.9.8
    + Fixed Vcs-* URLs.
    + Removed dependency on hardening-wrapper.
  * debian/rules:
    + Added dpkg-buildflags support.
  * Fixed debian/copyright.

 -- Kartik Mistry <kartik@debian.org>  Fri, 08 Jul 2016 12:02:05 +0530

=== debian/control ===
Source: xmountains
Section: games
Priority: optional
Build-Depends: debhelper-compat (= 13), libx11-dev, xbitmaps, xutils-dev
Maintainer: Kartik Mistry <kartik@debian.org>
Standards-Version: 4.6.0
Homepage: https://spbooth.github.io/xmountains
Vcs-Git: https://salsa.debian.org/debian/xmountains.git
Vcs-Browser: https://salsa.debian.org/debian/xmountains
Rules-Requires-Root: no

Package: xmountains
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Fractal landscape generator for X
 Generates random fractal mountains and displays them in a
 window (even in the X root window).
 .
 While the program is running the fractal is continuously
 extended on the right and the image is scrolled from right
 to left to expose the newly generated area.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%xmountains@-$1.tar.gz%" \
    https://github.com/spbooth/xmountains/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## xmountains 2.11

=== debian/changelog ===
xmountains (2.11-3) unstable; urgency=medium

  * Really disable -fcf-protection (Closes: #1088654)

 -- Kartik Mistry <kartik@debian.org>  Thu, 19 Dec 2024 11:01:06 +0530

xmountains (2.11-2) unstable; urgency=medium

  * Disable -fcf-protection, FTBFS on !x86 archs (Closes: #1088654)

 -- Kartik Mistry <kartik@debian.org>  Wed, 18 Dec 2024 19:25:04 +0530

xmountains (2.11-1) unstable; urgency=medium

  * New upstream release:
    + Fixes FTBFS with gcc 14 (Closes: #1075674)
  * Removed debian/xmountains.desktop, merged upstream.
  * Updated Standards-Version to 4.7.0
  * Updated debian/patches/blhc_flags.patch for new CFLAGS entry.
  * Updated debian/watch.

 -- Kartik Mistry <kartik@debian.org>  Thu, 28 Nov 2024 21:38:46 +0530

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13), libx11-dev, xbitmaps, xutils-dev
 Maintainer: Kartik Mistry <kartik@debian.org>
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Homepage: https://spbooth.github.io/xmountains
 Vcs-Git: https://salsa.debian.org/debian/xmountains.git
 Vcs-Browser: https://salsa.debian.org/debian/xmountains

## xmountains 2.15

=== debian/changelog ===
xmountains (2.15-3) unstable; urgency=low

  * debian/rules, debian/patches/blhc_flags.patch:
    + Fix '-fcf-protection' flag as it is only for i386/amd64 archs.

 -- Kartik Mistry <kartik@debian.org>  Mon, 08 Dec 2025 21:38:32 +0530

xmountains (2.15-2) unstable; urgency=low

  * Updated debian/watch to standard 5.
  * debian/control:
    + Removed Rules-Requires-Root field.
  * Fixed loading CFLAGS and LDFLAGS in the build.

 -- Kartik Mistry <kartik@debian.org>  Mon, 08 Dec 2025 19:33:39 +0530

xmountains (2.15-1) unstable; urgency=medium

  * New upstream release:
    + Fix FTBFS with gcc 15 (Closes: #1098157)
  * debian/control:
    + Updated Standards-Version to 4.7.2

 -- Kartik Mistry <kartik@debian.org>  Thu, 11 Sep 2025 10:46:31 +0530

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,10 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13), libx11-dev, xbitmaps, xutils-dev
 Maintainer: Kartik Mistry <kartik@debian.org>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://spbooth.github.io/xmountains
 Vcs-Git: https://salsa.debian.org/debian/xmountains.git
 Vcs-Browser: https://salsa.debian.org/debian/xmountains
-Rules-Requires-Root: no
 
 Package: xmountains
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

ARCH = $(shell dpkg-architecture -qDEB_BUILD_ARCH)

ifeq ($(filter $(ARCH),amd64 i386),$(ARCH))
  CFLAGS += -fcf-protection
endif

%:
	dh $@

override_dh_auto_configure:
	xmkmf -a

override_dh_auto_build:
	$(MAKE) CDEBUGFLAGS="$(CFLAGS)" LDOPTIONS="$(LDFLAGS)"

override_dh_install:
	dh_install
	rm -rf $(CURDIR)/debian/xmountains/usr/bin

=== debian/watch ===
Version: 5

Template: Github
Owner: spbooth
Project: xmountains
Update-Script: uupdate
